Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.jsse
Class TLSParameterBase

    java.lang.Object
      org.apache.cxf.configuration.jsse.TLSParameterBase

Direct Known Subclasses:
  TLSClientParameters, TLSServerParameters

    public class TLSParameterBase

extends java.lang.Object

This class is the base class for TLS parameters that are common to both client and server sides.

Constructor Summary
`TLSParameterBase()`

Method Summary
`java.util.List<java.lang.String>` | `getCipherSuites()` This parameter sets the cipher suites list to use.
`FiltersType` | `getCipherSuitesFilter()` This parameter sets the filter to include and/or exclude the cipher suites to use from the set list or system defaults.
`java.lang.String` | `getJsseProvider()` This parameter configures the JSSE provider.
`javax.net.ssl.KeyManager[]` | `getKeyManagers()` This parameter configures to use the following KeyManagers.
`java.security.SecureRandom` | `getSecureRandom()` This sets the secure random alogorithm.
`java.lang.String` | `getSecureSocketProtocol()` This sets the protocol to use.
`javax.net.ssl.TrustManager[]` | `getTrustManagers()` This parameter configures to use the following TrustManagers.
`void` | `setCipherSuites(java.util.List<java.lang.String> cs)` This parameter sets the cipher suites list to use.
`void` | `setCipherSuitesFilter(FiltersType filters)` This parameter sets the filter to include and/or exclude the cipher suites to use from the set list or system defaults.
`void` | `setJsseProvider(java.lang.String prov)` This parameter configures the JSSE provider.
`void` | `setKeyManagers(javax.net.ssl.KeyManager[] keyMgrs)` This parameter configures to use the following KeyManagers.
`void` | `setSecureRandom(java.security.SecureRandom random)` This sets the secure random provider and alogorithm.
`void` | `setSecureSocketProtocol(java.lang.String proto)` This sets the protocol to use.
`void` | `setTrustManagers(javax.net.ssl.TrustManager[] trustMgrs)` This parameter configures to use the following TrustManagers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TLSParameterBase

    public TLSParameterBase()

Method Detail

### setJsseProvider

    public final void setJsseProvider(java.lang.String prov)

  This parameter configures the JSSE provider. If not set, it uses system default.

### setKeyManagers

    public final void setKeyManagers(javax.net.ssl.KeyManager[] keyMgrs)

  This parameter configures to use the following KeyManagers. This parameter may be set to null for system default behavior.

### setTrustManagers

    public final void setTrustManagers(javax.net.ssl.TrustManager[] trustMgrs)

  This parameter configures to use the following TrustManagers. This parameter may be set to null for system default behavior.

### setCipherSuites

    public final void setCipherSuites(java.util.List<java.lang.String> cs)

  This parameter sets the cipher suites list to use. If left unset it uses system defaults.

### setCipherSuitesFilter

    public final void setCipherSuitesFilter(FiltersType filters)

  This parameter sets the filter to include and/or exclude the cipher suites to use from the set list or system defaults.

### setSecureSocketProtocol

    public final void setSecureSocketProtocol(java.lang.String proto)

  This sets the protocol to use. The system default is usually "TLS".

### setSecureRandom

    public final void setSecureRandom(java.security.SecureRandom random)

  This sets the secure random provider and alogorithm. If left unset or set to null, it uses the system default.

### getSecureRandom

    public java.security.SecureRandom getSecureRandom()

  This sets the secure random alogorithm. If left unset or set to null, it uses the system default.

### getSecureSocketProtocol

    public java.lang.String getSecureSocketProtocol()

  This sets the protocol to use. The system default is usually "TLS".

### getJsseProvider

    public java.lang.String getJsseProvider()

  This parameter configures the JSSE provider. If not set, it uses system default.

### getKeyManagers

    public javax.net.ssl.KeyManager[] getKeyManagers()

  This parameter configures to use the following KeyManagers. This parameter may be set to null for system default behavior.

### getTrustManagers

    public javax.net.ssl.TrustManager[] getTrustManagers()

  This parameter configures to use the following TrustManagers. This parameter may be set to null for system default behavior.

### getCipherSuites

    public java.util.List<java.lang.String> getCipherSuites()

  This parameter sets the cipher suites list to use. If left unset it uses system defaults.

### getCipherSuitesFilter

    public FiltersType getCipherSuitesFilter()

  This parameter sets the filter to include and/or exclude the cipher suites to use from the set list or system defaults.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.